Mein Techstack
===
<!--rehype:style=font-size: 38px; border-bottom: 0; display: flex; min-height: 260px; align-items: center; justify-content: center;-->

[![Last Commit (main branch)](https://shields.hadan-it.com/gitea/last-commit/public/techstack.hadan.de/main?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20main%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/main)
[![Last Commit (develop branch)](https://shields.hadan-it.com/gitea/last-commit/public/techstack.hadan.de/develop?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20develop%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/develop)
[![Build Status Main](https://git.hadan-it.com/public/techstack.hadan.de/actions/workflows/main.yml/badge.svg?branch=main)](https://techstack.hadan.de)
[![Build Status Preview](https://git.hadan-it.com/public/techstack.hadan.de/actions/workflows/develop.yml/badge.svg?branch=develop)](https://techstack.preview.hadan.de)
<!--rehype:style=text-align: center;-->
Mein Techstack – Eine Übersicht der Tools, Betriebssysteme, Sprachen und Anwendungen, die ich verwende. Dies ist quasi meine persönliche Awesome-List.

> [!NOTE/Anmerkung]
> Diese Übersicht hat keinen Anspruch auf Vollständigkeit. Jedes Produkt, mit welchem ich in Berührung komme, ist für mich ein Highlight und ich arbeite mich da immer wieder gerne ein.

![im Businesseinsatz][Business Icon] bedeutet, dass ich diese Anwendung geschäftlich einsetze\
![im Heimeinsatz][Home Icon] bedeutet, dass ich diese Anwendung daheim einsetze\
![favorisiert][Favorite Icon] bedeutet eine Anwendung, welche ich favorisiere

<!--idoc:ignore:start-->

## Inhalte

- [Mein Techstack](#mein-techstack)
  - [Inhalte](#inhalte)
  - [Automatisierung](#automatisierung)
    - [Configuration Management](#configuration-management)
    - [Infrastructure-as-Code (IaC)](#infrastructure-as-code-iac)
    - [Weitere Automatisierungstools](#weitere-automatisierungstools)
    - [Workflow-Automatisierung](#workflow-automatisierung)
  - [Backup](#backup)
  - [Betriebsysteme](#betriebsysteme)
    - [Linux](#linux)
    - [Microsoft Windows](#microsoft-windows)
    - [Sonstige Betriebsysteme](#sonstige-betriebsysteme)
  - [Entwicklung](#entwicklung)
    - [Continuous Integration / Continuous Delivery (CI/CD)](#continuous-integration--continuous-delivery-cicd)
    - [Programmiersprachen](#programmiersprachen)
    - [Quelltext-Editoren / Integrierte Entwicklungsumgebungen](#quelltext-editoren--integrierte-entwicklungsumgebungen)
    - [Shellprogrammierung](#shellprogrammierung)
    - [Versionsverwaltung](#versionsverwaltung)
      - [Tools](#tools)
      - [Verwaltungsoberflächen für Versionsverwaltung](#verwaltungsoberflächen-für-versionsverwaltung)
    - [Website-Entwicklung](#website-entwicklung)
      - [Static site generators (SSGs)](#static-site-generators-ssgs)
  - [Identity und Access Management](#identity-und-access-management)
  - [Kommunikation](#kommunikation)
    - [E-Mail/Groupware](#e-mailgroupware)
      - [Clientsoftware](#clientsoftware)
        - [Entwicklung](#entwicklung-1)
      - [Serversoftware](#serversoftware)
  - [Echtzeitkommunikation](#echtzeitkommunikation)
    - [Clientsoftware](#clientsoftware-1)
    - [Serversoftware](#serversoftware-1)
  - [Produktivitätssoftware](#produktivitätssoftware)
    - [Filehosting](#filehosting)
    - [Kollaboration](#kollaboration)
  - [Servicemanagement](#servicemanagement)
    - [Infrastrukturmanagement](#infrastrukturmanagement)
    - [IT-Asset-Management](#it-asset-management)
    - [Ticketsysteme](#ticketsysteme)
  - [Tools zum Lesen und Schreiben](#tools-zum-lesen-und-schreiben)
    - [Texteditoren](#texteditoren)
    - [Office-Anwendungen](#office-anwendungen)
    - [Markdown Tools](#markdown-tools)
    - [Notizen](#notizen)
    - [Tagebuch](#tagebuch)
    - [E-Books](#e-books)
    - [RSS](#rss)
    - [Sonstiges](#sonstiges)
  - [Virtualisierung](#virtualisierung)
    - [Containervirtualisierung](#containervirtualisierung)
    - [Desktopvirtualisierung](#desktopvirtualisierung)
    - [Orchestration und Cloud Management Lösungen](#orchestration-und-cloud-management-lösungen)
    - [Servervirtualisierung](#servervirtualisierung)
    - [Virtualisierungslösungen für Workstations](#virtualisierungslösungen-für-workstations)
  - [Lizenz](#lizenz)

<!--start-->
<!--idoc:ignore:end-->

## Automatisierung

### Configuration Management

* [Ansible](http://www.ansible.com/) - **Ansible** ist ein Open-Source-Automatisierungswerkzeug zur Orchestrierung und allgemeinen Konfiguration und Administration von Computern. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [AWX](https://github.com/ansible/awx) - **AWX** bietet eine webbasierte Benutzeroberfläche, eine REST-API und eine Task-Engine, die auf Ansible aufbaut. Es ist eines der Upstream-Projekte für Red Hat Ansible Automation Platform. ![im Businesseinsatz][Business Icon]
* [Molecule](https://ansible.readthedocs.io/projects/molecule/) - Das **Molecule**-Projekt soll bei der Entwicklung und dem Testen von Ansible-Rollen helfen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Infrastructure-as-Code (IaC)

* [Atlantis](https://www.runatlantis.io/) - Terraform Pull Request Automation ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [OpenTofu](https://opentofu.org/) - The last MPL-licensed version of Terraform was forked as **OpenTofu**, which is backed by the Linux Foundation. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Terraform](https://www.terraform.io/) - **Terraform** ist ein von HashiCorp entwickeltes Infrastruktur-als-Code-Softwaretool. Die Benutzer definieren und stellen die Infrastruktur des Rechenzentrums mithilfe einer deklarativen Konfigurationssprache, der HashiCorp Configuration Language (HCL), oder optional mit JSON bereit. ![im Businesseinsatz][Business Icon]

### Weitere Automatisierungstools

* [Rundeck](https://www.rundeck.com/open-source) - **Rundeck** ist ein Open-Source Automatisierungstool für den Einsatz in Rechenzentren oder Cloud-Umgebungen. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Semaphore UI](https://semaphoreui.com/) **Semaphore UI** ist eine moderne Benutzeroberfläche und leistungsstarke API für Ansible, Terraform, OpenTofu, PowerShell und andere DevOps-Tools. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Workflow-Automatisierung

* [n8n](https://n8n.io/) - **n8n** ist eine sichere, KI-native Workflow-Automatisierung. Es ist die weltweit beliebteste Plattform zur Workflow-Automatisierung für technische Teams. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [StackStorm](https://stackstorm.com/) - **StackStorm** (auch bekannt als „IFTTT für Ops“) ist eine ereignisgesteuerte Automatisierungslösung für DevOps und SREs zur automatischen Fehlerbehebung, Reaktion auf Vorfälle, Fehlerbehebung, Bereitstellung und mehr.

## Backup

* [Bareos](https://www.bareos.com/) - **Bareos** (**B**ackup **A**rchiving **R**ecovery **O**pen **S**ourced) ist eine netzwerkübergreifende freie Software (AGPLv3), die Daten aller gängigen Betriebssysteme sichern, archivieren und wiederherstellen kann. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Borg](https://www.borgbackup.org/) - **Borg** (früher **Attic** genannt) ist eine deduplizierende Backup-Software für verschiedene Unix-ähnliche Betriebssysteme. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [borgmatic](https://torsion.org/borgmatic/) - **borgmatic** ist ein auf Python basierendes Wrapper-Skript für Borg-Backups, das zur Vereinfachung und Automatisierung von Backups entwickelt wurde. Es zielt darauf ab, eine einfach zu bedienende und flexible Lösung für die Erstellung von Backups mit borgbackup zu bieten. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [BorgWarehouse](https://borgwarehouse.com/) - BorgWarehouse, eine schnelle und moderne WebUI für den zentralen Repository-Server von BorgBackup. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Proxmox Backup Server](https://www.proxmox.com/de/produkte/proxmox-backup-server/uebersicht) - **Proxmox Backup Server** ist eine Enterprise-Backup-Lösung zur Sicherung und Wiederherstellung von VMs, Containern und physischen Hosts. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Restic](https://restic.net/) - **Restic** ist eine hauptsächlich von Alexander Neumann entwickelte CLI-basierte Datensicherungssoftware, mit der inkrementelle und vollständige Backups auf Dateilevel erstellt werden können. ![im Heimeinsatz][Home Icon]
* [rdiff-backup](https://rdiff-backup.net/) - **rdiff-backup** ist eine für Linux und Windows entwickelte Datensicherungssoftware, mit der inkrementelle Backups erstellt werden können. ![im Businesseinsatz][Business Icon]
* [rsnapshot](https://rsnapshot.org/) - **rsnapshot** ist eine Software zur Erstellung von Datensicherungen von lokalen oder entfernten Rechnern. ![im Businesseinsatz][Business Icon]
* [Time Machine](https://support.apple.com/de-de/104984) - **Time Machine** ist eine Datensicherungssoftware von Apple, die seit Mac OS X Leopard (10.5) in das Betriebssystem macOS integriert ist. ![im Businesseinsatz][Business Icon]

## Betriebsysteme 

Ein **Betriebssystem**, auch **OS** (von englisch *operating system*) genannt, ist eine Zusammenstellung von Computerprogrammen, die die Systemressourcen eines Computers wie Arbeitsspeicher, Festplatten, Ein- und Ausgabegeräte verwaltet und diese Anwendungsprogrammen zur Verfügung stellt. 

### Linux

* [AlmaLinux](https://almalinux.org/) - **AlmaLinux** ist eine freie Linux-Distribution, die auf Red Hat Enterprise Linux (RHEL) des Unternehmens Red Hat aufbaut und dazu binärkompatibel ist. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [CentOS Stream](https://centos.org) - CentOS Stream ist eine auf RHEL basierende Distribution. Es handelt sich dabei um eine Art Beta-Version mit täglichen Updates („Rolling-Releases“), die aktueller als die entsprechende RHEL-Version ist. ![im Businesseinsatz][Business Icon]
* [Debian](https://www.debian.org) - **Debian** ist ein gemeinschaftlich entwickeltes freies Betriebssystem. **Debian GNU/Linux** basiert auf den grundlegenden Systemwerkzeugen des GNU-Projektes sowie dem Linux-Kernel. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Fedora](https://fedoraproject.org) - **Fedora** ist eine RPM-basierte Linux-Distribution. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Red Hat Enterprise Linux](https://www.redhat.com/de/technologies/linux-platforms/enterprise-linux) - **Red Hat Enterprise Linux** (**RHEL**) ist eine populäre Linux-Distribution, die von der Firma Red Hat hergestellt wird und auf den Unternehmensmarkt abgestimmt ist. ![im Businesseinsatz][Business Icon]
* [Rocky Linux](https://rockylinux.org) - **Rocky Linux** ist eine Linux-Distribution, die auf Red Hat Enterprise Linux basiert. ![im Businesseinsatz][Business Icon]
* [SUSE Linux Enterprise Server](https://www.suse.com/de-de/products/server/) - **SUSE Linux Enterprise Server** (**SLES**) ist eine Linux-Distribution von SUSE, die speziell auf Unternehmenskunden ausgelegt ist. ![im Businesseinsatz][Business Icon]
* [Ubuntu](https://ubuntu.com) - **Ubuntu**, auch Ubuntu Linux, ist eine GNU/Linux-Distribution, die auf Debian basiert. ![im Businesseinsatz][Business Icon]

### Microsoft Windows 

* [Windows](https://www.microsoft.com/de-de/windows/windows-11?r=1) - **Windows** ist ein Betriebsystem für eine Workstation oder ein Tablet für Privatanwender oder Unternehmen. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Windows Server](https://www.microsoft.com/de-de/windows-server) - **Windows Server** ist eine Reihe von Windows-Betriebssystemen der NT-Linie speziell für Server. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]

### Sonstige Betriebsysteme 

* [macOS](https://www.apple.com/de/macos/) - Das Betriebssystem **macOS**, früher **Mac OS X** und **OS X**, ist das Betriebssystem des kalifornischen Hard- und Software-Unternehmens Apple für Laptop- und Desktop-Computer der Mac-Reihe. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

## Entwicklung

### Continuous Integration / Continuous Delivery (CI/CD)

* [GitHub Actions](https://docs.github.com/de/actions) - Mit **GitHub Actions** kannst du deine Softwareentwicklungs-Workflows direkt in Ihrem Repository automatisieren, anpassen und ausführen. Actions wurden ebenso für Forgejo und Gitea implementiert und sind weitestgehendst kompatibel ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [GitLab CI]() - Gitlab's integrierte, voll funktionsfähige CI/CD-Lösung. ![im Businesseinsatz][Business Icon]
* [GoCD](https://www.gocd.org/) - **GoCD** ist ein freier & quelloffener CI/CD-Server. Modellieren und visualisieren komplexe Arbeitsabläufe auf einfache Weise. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Jenkins](https://www.jenkins.io/) - **Jenkins** ist ein erweiterbares, webbasiertes Software-System zur kontinuierlichen Integration von Software-Komponenten zu einem Anwendungsprogramm. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Woodpecker CI](https://woodpecker-ci.org/) - Woodpecker ist eine einfache, aber leistungsstarke CI/CD-Engine mit großer Erweiterbarkeit. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Programmiersprachen

* [COBOL](https://en.wikibooks.org/wiki/COBOL) - **COBOL** ist eine Programmiersprache, die in der Frühzeit der Computerentwicklung, Ende der 1950er-Jahre, entstand und bis heute verwendet wird. ![im Businesseinsatz][Business Icon]
* [Eiffel](https://www.ecma-international.org/publications-and-standards/standards/ecma-367/) - **Eiffel** ist eine universelle, rein objektorientierte Programmiersprache und wurde 1985 von dem französischen Informatiker Bertrand Meyer und seiner Firma Interactive Software Engineering Inc. (Goleta, Kalifornien) als Alternative zu C++ entworfen. ![im Businesseinsatz][Business Icon]
* [Microsoft Visual FoxPro](https://learn.microsoft.com/en-us/previous-versions/visualstudio/foxpro/mt490117(v=msdn.10)?redirectedfrom=MSDN) - **Microsoft Visual FoxPro** (*VFP*) ist eine 2007 abgekündigte RAD-Programmierumgebung von Microsoft für datenzentrierte Anwendungen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Perl](https://www.perl.org) - **Perl** ist eine freie, plattformunabhängige und interpretierte Programmiersprache, die mehrere Paradigmen unterstützt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Python](https://www.python.org) - **Python** ist eine universell nutzbare, üblicherweise interpretierte, höhere Programmiersprache. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Quelltext-Editoren / Integrierte Entwicklungsumgebungen

* [IntelliJ IDEA](https://www.jetbrains.com/idea/) - **IntelliJ IDEA** ist eine integrierte Entwicklungsumgebung (IDE) des Softwareunternehmens JetBrains für die Programmiersprachen Java, Kotlin, Groovy und Scala. ![im Businesseinsatz][Business Icon]
* [Visual Studio Code](https://code.visualstudio.com/) - **Visual Studio Code** (kurz *VS Code*) ist ein kostenloser Quelltext-Editor von Microsoft. ![im Businesseinsatz][Business Icon]
* [VSCodium](https://vscodium.com/) - **VSCodium** ist eine von der Gemeinschaft betriebene, frei lizenzierte Binärdistribution von Microsofts Editor VS Code. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Zed](https://zed.dev/) - **Zed** ist ein Code-Editor der nächsten Generation, der für die
leistungsstarke Zusammenarbeit mit Menschen und KI. ![im Businesseinsatz][Business Icon]

### Shellprogrammierung

* [Bash](https://www.gnu.org/software/bash/) - **Bash** (auch **BASH** oder **bash**), die **Bourne-again shell**, ist eine freie Unix-Shell unter GPL. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Powershell](https://docs.microsoft.com/de-de/powershell/) - **PowerShell** (auch **Windows PowerShell** und **PowerShell Core**) ist ein plattformübergreifendes Framework von Microsoft zur Automatisierung, Konfiguration und Verwaltung von Systemen, das einen Kommandozeileninterpreter inklusive Skriptsprache bietet. ![im Businesseinsatz][Business Icon]
* [Z shell (zsh)](https://www.zsh.org/) - Die **Z shell** (**zsh**) ist eine Unix-Shell, die sowohl als interaktive Login-Shell, als auch als ein mächtiger Kommandozeileninterpreter für Shellskripte verwendet werden kann. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Versionsverwaltung

#### Tools

* [Apache Subversion](https://subversion.apache.org/) - **Apache Subversion** (**SVN**) ist eine freie Software zur zentralen Versionsverwaltung von Dateien und Verzeichnissen. ![im Businesseinsatz][Business Icon]
* [Git](https://git-scm.com/) - **Git** ist eine freie Software zur verteilten Versionsverwaltung von Dateien, die durch Linus Torvalds initiiert wurde. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

#### Verwaltungsoberflächen für Versionsverwaltung

* [Forgejo](https://forgejo.org/) - **Forgejo** ist ein freies, in Go entwickeltes Softwarepaket für die Versionsverwaltung bei der Softwareentwicklung mit Git. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Gitea](https://gitea.io/) - **Gitea** ist eine freie, in Go entwickelte Softwarelösung, die eine gehostete Softwareentwicklungsplattform bereitstellt. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [GitHub](https://github.com/) - **GitHub** ist ein Onlinedienst zur gemeinschaftlichen (kollaborativ) Softwareentwicklung und Versionsverwaltung für Softwareprojekte. ![im Businesseinsatz][Business Icon]
* [GitLab](https://gitlab.com/) - **GitLab** ist ein Onlinedienst zur Softwareentwicklung und Versionsverwaltung für Softwareprojekte auf Git-Basis. ![im Businesseinsatz][Business Icon]

### Website-Entwicklung

#### Static site generators (SSGs)

* [Hugo](https://gohugo.io/) - **Hugo** ist eine freie Software zur Erzeugung statischer Websites, der unter der Apache-Lizenz in der Version 2 verfügbar ist. Meine [persönliche Visitenkarte](https://iamstephan.info) ist damit realisiert, welche ich mit dem von mir adaptierten und erweiterten Theme [hugo-goa](https://git.hadan-it.com/stiebke/hugo-goa) ([Demo](https://preview.hadan-it.com/hugo-goa-demo/)) gestaltet habe. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [iDoc](https://wangchujiang.com/idoc/) - Erzeuge statische Seiten aus allen Markdown-Dateien in einem Ordner. [Mein Techstack](https://techstack.hadan.de)  wurde mit **iDoc** realisiert. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [MkDocs](https://www.mkdocs.org/) ist ein Generator für statische Websites, der für die Erstellung von Projektdokumentationen entwickelt wurde. Ich verwende hier die Erweiterung [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/) um eine ansprechende Gestaltung der Websites zu gewährleisten und Zusatzfunktionen zu implementieren. Meine [persönliche Website](https://stephan.hadan.de) habe ich damit realisiert. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

## Identity und Access Management

## Kommunikation

### E-Mail/Groupware

#### Clientsoftware

* [Apple Mail](http://www.apple.com/de/osx/apps/#mail) - Mail ist ein von Apple mit den Betriebssystemen watchOS, iOS, iPadOS und macOS, ausgeliefertes E-Mail-Programm. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Microsoft Outlook](https://www.microsoft.com/de-de/microsoft-365/outlook/) - **Microsoft Outlook** ist eine weit verbreitete Software des Unternehmens Microsoft zum Empfangen und Versenden von E-Mails sowie zum Verwalten von Terminen, Kontakten, Aufgaben und Notizen (Personal Information Manager) ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Mozilla Thunderbird](https://www.thunderbird.net/) - **Mozilla Thunderbird** ist ein freies E-Mail-Programm und zugleich Personal Information Manager (mit CalDAV-Unterstützung), Feedreader, Newsreader sowie Messaging- und Chat-Client (XMPP und IRC). ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Roundcube](https://roundcube.net/) - **Roundcube** ist eine freie Software für Webmail über IMAP, die in den Programmiersprachen PHP und JavaScript entwickelt wird. ![im Heimeinsatz][Home Icon]

##### Entwicklung

* [Mailpit](https://mailpit.axllent.org/) - Ein E-Mail- und SMTP-Testwerkzeug mit API für Entwickler. [im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

#### Serversoftware

* [Cipermail](https://www.ciphermail.com/) - **CipherMail** ist ein zentraler Mail Transfer Agent (MTA), der nach dem „store and forward“ Prinzip arbeitet. Eingehende E-Mails, gleichgültig ob von intern oder extern, werden nur so lange gespeichert, bis sie ver-/entschlüsselt wurden und an die Empfänger weitergeleitet werden können. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [mailcow: dockerized](https://mailcow.email) - **mailcow: dockerized** ist eine Open-Source-Groupware/E-Mail-Suite auf Basis von Docker. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Microsoft Exchange Server](https://products.office.com/de-de/exchange/email) - Microsoft Exchange Server ist eine Groupware- und E-Mail-Transport-Server-Software des Unternehmens Microsoft. ![im Businesseinsatz][Business Icon]
* [Postal](https://docs.postalserver.io/) - Postal ist ein kompletter und voll funktionsfähiger Mailserver für den Einsatz auf Websites und Webservern. Ähnlich wie Sendgrid, Mailgun oder Postmark, aber quelloffen und bereit für den Betrieb auf Ihren eigenen Servern. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Proxmox Mail Gateway](https://www.proxmox.com/en/products/proxmox-mail-gateway/overview) - **Proxmox Mail Gateway** ist die führende Open-Source-E-Mail-Sicherheitslösung, die Ihnen hilft, Ihren Mailserver vor allen E-Mail-Bedrohungen zu schützen, sobald diese auftauchen. ![im Businesseinsatz][Business Icon]
* [SOGo](https://sogo.nu/) - **SOGo** alias **S**calable **O**pen**G**roupware.**o**rg ist eine Abspaltung von OGo alias OpenGroupware.org zwecks höherer Skalierbarkeit. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Zimbra](https://www.zimbra.com/) - Die **Zimbra Collaboration Suite** (**ZCS**) (oft einfach nur als **Zimbra** bezeichnet) ist eine E-Mail- und Groupwarelösung von Synacor Inc. Zimbra wird primär über eine Webschnittstelle bedient. ![im Businesseinsatz][Business Icon]

## Echtzeitkommunikation

### Clientsoftware

* [Discord](https://discordapp.com/) - Ein kostenloser und sicherer Sprach- und Text-Chat, der sowohl auf dem Desktop als auch auf dem Telefon funktioniert.
* [Element](https://element.io/) - Erstellen, teilen, kommunizieren. Sicheres Chatten und Telefonieren. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Ferdium](https://ferdium.org/) - Desktop-Anwendung, die Ihnen hilft, die Nutzung Ihrer Lieblingsanwendungen zu organisieren, indem sie sie in einer Anwendung zusammenfasst. Sie basiert auf Franz, mit dem Unterschied, dass Ferdium Ihnen viele zusätzliche Funktionen bietet und die Nutzung nicht einschränkt. ![im Heimeinsatz][Home Icon]
* [Mattermost]() - Mattermost ist eine Open-Source-Plattform für die sichere Zusammenarbeit während des gesamten Lebenszyklus der Softwareentwicklung. ![im Businesseinsatz][Business Icon]
* [Skype](https://www.skype.com/) - Plattformübergreifende Anwendung, die Videochat- und Sprachanrufdienste bietet. Benutzer können Bilder, Texte, Videos und andere digitale Dokumente austauschen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Slack](https://slack.com/) - Ein großartiges Tool für die Zusammenarbeit und Kommunikation im Team. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Serversoftware

## Produktivitätssoftware

### Filehosting

* [Nextcloud](https://nextcloud.com/de/) - **Nextcloud** ist eine auf einem ownCloud-Fork basierende in PHP entwickelte freie Software für das Speichern von Daten (z. B. Dateien, Kalendern, Kontakten etc.) auf einem Server. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Seafile](https://de.seafile.com/) - **Seafile** ist eine Software des gleichnamigen chinesischen Unternehmens, mit der sich Dateien zentral auf einem Server speichern (Filehosting), mit anderen Personen teilen (Filesharing) und zwischen Geräten synchronisieren lassen (File synchronisation). ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]

### Kollaboration

* [Microsoft 365](https://www.microsoft.com/de-de/microsoft-365) - **Microsoft 365** und teilweise *Office 365* (ehemals nur *Office 365*) ist eine Kombination bestehend aus einem Onlinedienst, einer Office-Webanwendung und einem Office-Software-Abonnement von Microsoft Office. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

## Servicemanagement

### Infrastrukturmanagement

* [NetBox](https://netboxlabs.com/) - **NetBox** wurde entwickelt, um Netzwerkingenieure zu unterstützen. Seit ihrer Veröffentlichung im Jahr 2016 hat sich die Lösung zur Modellierung und Dokumentation der Netzwerkinfrastruktur für Tausende von Unternehmen weltweit etabliert. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]

### IT-Asset-Management

* [GLPI](https://www.glpi-project.org/) - **GLPI** (Akronym: Französisch: **G**estionnaire **L**ibre de **P**arc **I**nformatique, oder „Free IT Equipment Manager“ auf Englisch) ist ein Open-Source-IT-Asset-Management-, Problemverfolgungs- und Service-Desk-System. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [i-doit](https://www.i-doit.com/) - **i-doit** (**I** **do**cument **IT**) ist eine webbasierte Freie Software, die der Dokumentation komplexer IT-Infrastrukturen dient (IT-Dokumentation), ergänzt um zusätzliche Funktionen einer Configuration Management Database (CMDB). ![im Businesseinsatz][Business Icon]
* [Snipe-IT](https://snipeitapp.com/) - **Snipe-IT** wurde für die IT-Asset-Verwaltung entwickelt, damit IT-Abteilungen nachverfolgen können, wer welchen Laptop besitzt, wann er gekauft wurde, welche Softwarelizenzen und welches Zubehör verfügbar sind usw. ![im Businesseinsatz][Business Icon]

### Ticketsysteme

* [FreeScout](https://freescout.net/) - **FreeScout** ist ein Open-Source-Helpdesk und eine gemeinsam genutzte Mailbox - eine kostenlose, selbst gehostete Alternative zu Zendesk & Help Scout. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [OTOBO](https://otobo.io/de/) - **OTOBO** Service Management ist ein Ticketsystem, welches von der OTRS Community Edition geforked wurde. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [ServiceNow]() - **ServiceNow** ist eine Platform-as-a-Service-Lösung, die den Betrieb von Supportsystemen für das Unternehmens- und technische Management ermöglicht, wie z. B. IT-Service-Management und Helpdesk-Funktionen. ![im Businesseinsatz][Business Icon]
* [Zammad](https://zammad.org/) - **Zammad** ist ein freies Helpdesk- bzw. Issue-Tracking-System. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Znuny](https://www.znuny.org/de) - **Znuny** ist ein Open Source Ticketsystem. Es ist ein Fork der abgekündigten Community Edition von OTRS. ![im Businesseinsatz][Business Icon]

## Tools zum Lesen und Schreiben

Anwendungen zum Bearbeiten von Text, ich bevorzuge Open-Source-Editoren.

### Texteditoren

* [CotEditor](https://coteditor.com/) - Leichtgewichtiger Editor für macOS. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Notepad++](https://notepad-plus-plus.org/) - **Notepad++** ist ein freier Texteditor für Windows. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Vim](https://www.vim.org/) - **Vim** (Vi IMproved) ist eine Weiterentwicklung des Texteditors vi. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Office-Anwendungen

* [LibreOffice](https://de.libreoffice.org/) - **LibreOffice** (Abkürzungen **LibO** oder **LO**) ist eine freie Zusammenstellung typischer Standardsoftware für Bürotätigkeiten (Office-Paket). Zu LibreOffice gehören Programme für Textverarbeitung (Writer), Tabellenkalkulation (Calc), Präsentation (Impress) und zum Erstellen von Zeichnungen (Draw). Ein Datenbankmanagementsystem (Base) und ein Formeleditor (Math) sind ebenfalls enthalten. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Microsoft Office](https://products.office.com/) - **Microsoft Office** ist ein Office-Paket von Microsoft für Windows, macOS, iOS, iPadOS, Android. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Markdown Tools

* [Marp](https://marp.app/) - **Marp** ist ein Ökosystem, mit dem Präsentationen in Markdown geschrieben werden können. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [reveal.js](https://revealjs.com/) - **reveal.js** ist ein Open-Source-HTML-Präsentations-Framework. Es ermöglicht jedem, der einen Webbrowser hat, schöne Präsentationen kostenlos zu erstellen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Notizen

* [Joplin](https://joplinapp.org/) - **Joplin** ist eine Open-Source-App für Notizen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Microsoft OneNote](https://www.onenote.com/) - **Microsoft OneNote** ist eine Software zum Erstellen und Organisieren von Notizen. ![im Businesseinsatz][Business Icon]

### Tagebuch

* [linked](https://uselinked.com/de/) - Eine einfache, ablenkungsfreie Möglichkeit, Gedanken festzuhalten, den Geist zu entrümpeln und die Dinge zu behalten, an die man sich erinnern möchte. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### E-Books

* [Calibre](https://calibre-ebook.com/) - Freier, quelloffener E-Book-Manager und -Reader. ![im Heimeinsatz][Home Icon]
* [Kindle App](https://www.amazon.com/l/16571048011) - Amazons offizielle Lese-App für Kindle. ![im Heimeinsatz][Home Icon]
* [Koodo Reader](https://www.koodoreader.com/en) - All-in-One-eBook-Reader, der über 15 Formate unterstützt. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Scribus](https://www.scribus.net/) - Professionelle Layout- und Publishing-Software. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Sigil](https://sigil-ebook.com/) - Multiplattform-EPUB ebook Editor. ![im Heimeinsatz][Home Icon]

### RSS

* [FreshRSS](https://freshrss.org/) - **FreshRSS** ist ein selbstgehosteter RSS- und Atom-Feed-Aggregator. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [NetNewsWire](https://ranchero.com/netnewswire/) - **NetNewsWire** ist ein kostenloser und quelloffener Feed-Reader für macOS. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Reeder 5](http://reederapp.com/) - Newsreader für Feedbin, Feedly, Feed Wrangler und so weiter. ![im Heimeinsatz][Home Icon]

### Sonstiges

* [Skim](http://skim-app.sourceforge.net/) - PDF-Reader und Notizprogramm für OS X. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Zotero](https://www.zotero.org/) - Kostenloses Tool zum Sammeln, Organisieren, Kommentieren, Zitieren und Teilen von Forschungsergebnissen. ![im Heimeinsatz][Home Icon]

## Virtualisierung

### Containervirtualisierung

* [chroot]() - **chroot** isoliert einen Teil des Dateisystems vom umliegenden Rest, sodass es für einen Prozess so aussieht, als ob der als Argument übergebene Pfad das Wurzelverzeichnis des Dateisystems wäre. Das Verfahren lässt sich jedoch leicht aushebeln, weshalb es nicht als echte Isolierung taugt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Docker](https://www.docker.com/) - **Docker** ist eine Containervirtualisierungsplattform, die viele der vorstehenden Techniken einsetzt und um benutzerfreundliche Werkzeuge und Dienste ergänzt. Dazu gehört beispielsweise eine Beschreibung von Images (Dockerfiles) oder ein Repository, das solche Images verwaltet. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [LXC](https://linuxcontainers.org/) - **LXC** (**L**inu**x** **C**ontainers) ist ein Verfahren zur Containervirtualisierung auf Betriebssystemebene, das mehrere voneinander isoliert laufende Linux-Systeme auf einem einzigen Host ermöglicht. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Podman](https://podman.io/) - **Podman** ist ein Container-Manager, der ohne einen Daemon ausgeführt werden kann und auf dem Konzept von Kubernetes Pods aufbaut. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Desktopvirtualisierung

### Orchestration und Cloud Management Lösungen

* [Apache CloudStack](https://cloudstack.apache.org/) - Open-Source-Softwaresystem für die Bereitstellung und Verwaltung großer Netzwerke virtueller Maschinen als hochverfügbare, hochskalierbare Infrastructure-as-a-Service (IaaS)-Cloud-Computing-Plattform. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [OpenStack](https://www.openstack.org/) - Cloud-Betriebssystem, das große Pools von Rechen-, Speicher- und Netzwerkressourcen in einem Rechenzentrum steuert, die alle über APIs mit gemeinsamen Authentifizierungsmechanismen verwaltet und bereitgestellt werden. ![im Businesseinsatz][Business Icon]
  * [OpenStack Marketplace](https://www.openstack.org/marketplace/distros/) - Liste verschiedener Openstack-Distros und -Appliances.
* [OpenNebula](https://opennebula.io/) - Open-Source-Cloud-Computing-Plattform zum Aufbau und zur Verwaltung von Unternehmens-Clouds. Sie unterstützt mehrere Virtualisierungstechnologien, z. B. VMware, KVM und auch LXC und Firecracker. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Xen Orchestra](https://xen-orchestra.com/) - **Xen Orchestra** (**XO**) ist eine Verwaltungsplattform für XenServer/XCP-ng. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Servervirtualisierung

* [KVM](http://www.linux-kvm.org/) - **Die Kernel-based Virtual Machine** (**KVM**) ist eine Infrastruktur des Linux-Kernels zur Virtualisierung, die auf mit den Hardware-Virtualisierungstechniken von Intel (VT) oder AMD (AMD-V) ausgestatteten x86-Prozessoren sowie auf der System-z-Architektur lauffähig ist. ![im Businesseinsatz][Business Icon]
* [Proxmox VE](https://www.proxmox.com/en/proxmox-virtual-environment/) - **Proxmox VE** (**Proxmox** **V**irtual **E**nvironment; kurz **PVE**) ist eine auf Debian basierende Open-Source-Virtualisierungsplattform zum Betrieb von virtuellen Maschinen mit einem Webinterface zur Einrichtung und Steuerung von x86-Virtualisierungen. Die Umgebung basiert auf QEMU mit der Kernel-based Virtual Machine (KVM). PVE bietet neben dem Betrieb von klassischen virtuellen Maschinen (Gastsystemen), die auch den Einsatz von Virtual Appliances erlauben, auch Linux Containers (LXC) an. ![im Businesseinsatz][Business Icon]
* [XCP-ng](https://xcp-ng.org/) - **XCP-ng** ist eine Linux-Distribution des Xen-Projekts, mit vorkonfiguriertem Xen-Hypervisor und dem Xen-API-Projekt (XAPI), die sofort einsatzbereit sind. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [XenServer](https://www.xenserver.com/) ![im Businesseinsatz][Business Icon]
* [Xen Hypervisor](https://www.xenproject.org/) - **Xen**, auch **Xen Project** (in Abgrenzung zu darauf basierenden kommerziellen Produkten), ist ein Hypervisor, also eine Software, die den Betrieb mehrerer virtueller Maschinen auf einem physischen Computer erlaubt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Virtualisierungslösungen für Workstations

* [Parallels Desktop](http://www.parallels.com/de/products/desktop/) - **Parallels** Desktop ist eine Virtualisierungssoftware für Mac OS X von Parallels. ![im Businesseinsatz][Business Icon]
* [UTM](https://mac.getutm.app/) - **UTM** nutzt das Hypervisor-Virtualisierungsframework von Apple, um ARM64-Betriebssysteme auf Apple Silicon mit nahezu nativer Geschwindigkeit auszuführen. Auf Intel-Macs kann das x86/x64-Betriebssystem virtualisiert werden. Darüber hinaus ist eine Emulation mit geringerer Leistung verfügbar, um x86/x64 auf Apple Silicon sowie ARM64 auf Intel auszuführen. Für Entwickler und Enthusiasten gibt es außerdem Dutzende anderer emulierter Prozessoren, darunter: ARM32, MIPS, PPC und RISC-V. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [VirtualBox](https://www.virtualbox.org/) - **VirtualBox** ist eine Virtualisierungssoftware des US-amerikanischen Unternehmens Oracle, die ursprünglich von der InnoTek Systemberatung GmbH aus Baden-Württemberg entwickelt wurde. ![im Businesseinsatz][Business Icon]

## Lizenz

<p xmlns:cc="http://creativecommons.org/ns#" xmlns:dct="http://purl.org/dc/terms/"><a property="dct:title" rel="cc:attributionURL" href="https://techstack.hadan.de">Mein Techstack</a> von <a rel="cc:attributionURL dct:creator" property="cc:attributionName" href="https://stephan.hadan.de">Stephan Hadan</a> ist lizenziert unter <a href="https://creativecommons.org/licenses/by/4.0/?ref=chooser-v1" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">Creative Commons Attribution 4.0 International<img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""></a></p>

[Business Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-business.svg "Geschäftseinsatz"
[Home Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-home.svg "Heimeinsatz"
[Favorite Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-favorite.svg "Favorisiert"

<!--idoc:config:
title: Mein Techstack -
description: Eine Übersicht über die von mir eingesetzten Tools, Betriebsysteme, Sprachen und Anwendungen - Mein Techstack
-->
